Subject: bug#23341: x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

From: martin rudalics <[email-masked]>
Date: Sat, 23 Apr 2016 10:13:26 +0200

> It would be nice to have a lisp-configurable default for tooltip
 > timeout; currently, it is hardcoded to 5 seconds in x_show_tip.
 >
 > There already exists a variable that could serve this purpose:
 > tooltip-hide-delay.

A function that calls ‘tooltip-show’ doesn't have to care because the
latter already uses ‘tooltip-hide-delay’ as TIMEOUT argument for
‘x-show-tip’.

A function that calls ‘x-show-tip’ directly should generally use
‘tooltip-hide-delay’ as TIMEOUT argument.  If it doesn't, it should
provide a customizable variable to use as TIMEOUT argument instead.

martin